Bug 1573480 - gtg fails to install on Fedora 28 (NOTE: upstream is inactive and package has been retired)
Summary: gtg fails to install on Fedora 28 (NOTE: upstream is inactive and package has...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtg
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1638859 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 12:44 UTC by Franco Bugnano
Modified: 2019-05-28 22:52 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-28 22:52:51 UTC


Attachments (Terms of Use)
[conflicting requests] Nothing provides python-liblarch_gtk needed by gtg-0.3.1-16.fc28.noarch (100.54 KB, image/png)
2018-05-11 17:27 UTC, nikolaibitinit
no flags Details

Description Franco Bugnano 2018-05-01 12:44:42 UTC
Description of problem:
gtg fails to install on Fedora 28

Version-Release number of selected component (if applicable):
gtg-0.3.1-16.fc28.noarch

How reproducible:
Always

Steps to Reproduce:
sudo dnf install gtg

Actual results:
Error: 
 Problem: conflicting requests
  - nothing provides python-liblarch_gtk needed by gtg-0.3.1-16.fc28.noarch



Expected results:
gtg gets installed correctly

Additional info:
There is a python3-liblarch_gtk package available in the repository, though I don't know whether it's the correct package, or gtg still expects the python2 version of that package, which is not included in the repository.

Comment 1 nikolaibitinit 2018-05-11 17:27 UTC
Created attachment 1435061 [details]
[conflicting requests]  Nothing provides python-liblarch_gtk needed by gtg-0.3.1-16.fc28.noarch

Issue: gtg is not installable due to conflicting requests

fr0xk@eula47: ~ $ sudo dnf install gtg -vvv
Loaded plugins: builddep, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repograph, repomanage, reposync, system-upgrade
DNF version: 2.7.5
cachedir: /var/cache/dnf
repo: using cache for: updates
updates: using metadata from Friday 11 May 2018 01:30:40 AM IST.
repo: using cache for: fedora
not found deltainfo for: Fedora 28 - x86_64
not found updateinfo for: Fedora 28 - x86_64
fedora: using metadata from Thursday 26 April 2018 04:42:28 PM IST.
Last metadata expiration check: 0:11:16 ago on Friday 11 May 2018 10:43:22 PM IST.
Missing file *modules.yaml in metadata cache dir: /var/cache/dnf/updates-8bd9ef368505a5fd
Missing file *modules.yaml in metadata cache dir: /var/cache/dnf/fedora-f21308f6293b3270
--> Starting dependency resolution
--> Finished dependency resolution
Error: 
 Problem: conflicting requests
  - nothing provides python-liblarch_gtk needed by gtg-0.3.1-16.fc28.noarch

Comment 2 Alejandro 2018-06-06 06:42:14 UTC
Description of the problem:
gtg (Getting Things GNOME!) fails to install on Fedora 28

Version-Release number:
gtg-0.3.1-16.fc28.noarch

How reproducible:
Always

Steps to reproduce:
sudo dnf install gtg

Actual results:
Error: 
 Problem: conflicting requests
  - nothing provides python-liblarch_gtk needed by gtg-0.3.1-16.fc28.noarch

Expected results:
gtg gets installed correctly

Additional info:
I've installed python3-liblarch_gtk-3.0-2.fc28.noarch but it doesn't find it. Seems like gtg expects the python2 version. 
I have gtg installed on another laptop with F28 (upgraded from F27), and it still uses python-liblarch-2.1.0-20.fc27.noarch from de F27 repo. A (bad) workaround is to enable F27 repos to get that package and allow the gtg installation.

Comment 3 Ankur Sinha (FranciscoD) 2018-08-13 09:40:45 UTC
Hi there,

Thanks for the bug reports. Unfortunately, neither python-liblarch, nor gtg have seen commits since 2015 so it's safe to say that upstream is inactive. We will not see any updates, bugfixes, nor enhancements to these software.

https://github.com/getting-things-gnome/liblarch
https://github.com/getting-things-gnome/gtg

So, I'm going to retire them both. Please use another tool that is actively maintained. This fedora magazine post features a few alternatives. I'm sorry gtg featured there too, we'll be more careful about it in the future:

https://fedoramagazine.org/5-tools-to-manage-your-to-do-list-on-fedora/

Cheers,
Ankur

Comment 4 Ankur Sinha (FranciscoD) 2018-08-13 10:09:44 UTC
Both pacakges have been retired. I'm leaving this issue open so that others that may run into the issue can be informed.

Comment 5 Ankur Sinha (FranciscoD) 2018-10-12 17:28:36 UTC
*** Bug 1638859 has been marked as a duplicate of this bug. ***

Comment 6 Ben Cotton 2019-05-02 20:40:12 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-28 22:52:51 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.